Loading...
Searching...
No Matches
ChromosomeInfo Struct Reference

## Public Member Functions

void | constructorClear ()
void | setChromosomeName (const char *n)
void | setAssemblyID (const char *newID)
void | setSpecies (const char *newSpecies)
void | setURI (const char *newURI)

## Public Attributes

genomeIndex_t | start
genomeIndex_t | size
char | md5 [2 *MD5_DIGEST_LENGTH+1]
char | name [MAX_GENOME_INFO_STRING]
char | assemblyID [MAX_GENOME_INFO_STRING]
char | uri [MAX_GENOME_INFO_STRING]
char | species [MAX_GENOME_INFO_STRING]

## Static Public Attributes

static const int | MAX_GENOME_INFO_STRING =128

## Detailed Description

Definition at line 40 of file GenomeSequenceHelpers.h.

## Member Function Documentation

## constructorClear()

void ChromosomeInfo::constructorClear | ( |  | ) |

inline

Definition at line 44 of file GenomeSequenceHelpers.h.

{
memset(this,0, sizeof(*this));
}

## setAssemblyID()

void ChromosomeInfo::setAssemblyID | ( | const char * | newID | ) |

inline

Definition at line 62 of file GenomeSequenceHelpers.h.

{
strncpy(assemblyID, newID, sizeof(assemblyID)-1);
name[sizeof(name)-1] = '\0';
}

## setChromosomeName()

void ChromosomeInfo::setChromosomeName | ( | const char * | n | ) |

inline

Definition at line 48 of file GenomeSequenceHelpers.h.

{
strncpy(name, n, sizeof(name)-1);
name[sizeof(name)-1] = '\0';
}

## setSpecies()

void ChromosomeInfo::setSpecies | ( | const char * | newSpecies | ) |

inline

Definition at line 67 of file GenomeSequenceHelpers.h.

{
strncpy(species, newSpecies, sizeof(species)-1);
species[sizeof(species)-1] = '\0';
}

## setURI()

void ChromosomeInfo::setURI | ( | const char * | newURI | ) |

inline

Definition at line 72 of file GenomeSequenceHelpers.h.

{
strncpy(uri, newURI, sizeof(uri)-1);
uri[sizeof(uri)-1] = '\0';
}

## Member Data Documentation

## assemblyID

char ChromosomeInfo::assemblyID[MAX_GENOME_INFO_STRING]

Definition at line 57 of file GenomeSequenceHelpers.h.

## MAX_GENOME_INFO_STRING

const int ChromosomeInfo::MAX_GENOME_INFO_STRING =128

static

Definition at line 42 of file GenomeSequenceHelpers.h.

## md5

char ChromosomeInfo::md5[2 *MD5_DIGEST_LENGTH+1]

Definition at line 55 of file GenomeSequenceHelpers.h.

## name

char ChromosomeInfo::name[MAX_GENOME_INFO_STRING]

Definition at line 56 of file GenomeSequenceHelpers.h.

## size

genomeIndex_t ChromosomeInfo::size

Definition at line 54 of file GenomeSequenceHelpers.h.

## species

char ChromosomeInfo::species[MAX_GENOME_INFO_STRING]

Definition at line 59 of file GenomeSequenceHelpers.h.

## start

genomeIndex_t ChromosomeInfo::start

Definition at line 53 of file GenomeSequenceHelpers.h.

## uri

char ChromosomeInfo::uri[MAX_GENOME_INFO_STRING]

Definition at line 58 of file GenomeSequenceHelpers.h.

The documentation for this struct was generated from the following file:

- general/GenomeSequenceHelpers.h